% set up frequencies
fmin = -1;
fmax = 3;
f = logspace(fmin,fmax,1000);


% open loop gain

tf_vir  = model_sys(4,1); % In1 to Out4
tf_act  = model_sys(4,2); % In2 to Out4

g1 = mybodesys(tf_vir,f);
g2 = mybodesys(tf_act,f);

clf;
subplot('Position',[0.1,0.52,0.8,0.4]);
loglog(f,abs(g1),'r', 'LineWidth',2);
hold on;
loglog(f,abs(g2),'b', 'LineWidth',2);
set(gca,'XTickLabel',[]);
set(gca,'FontSize',14);
set(gca,'GridLineStyle','--');
set(gca,'Color',[1 1 1])
grid on;
ylim([1e-4 1e2]);
ylabel('Mag (dB)');
legend(...
    'Vibration Isolation (m/m)',...
    'Actuation (m/V)'...
);
title('Suspension transfer functions');

subplot('Position',[0.1,0.1,0.8,0.4]);
semilogx(f,180/pi*angle(g1),'r', 'LineWidth',2);
hold on;
semilogx(f,180/pi*angle(g2),'b', 'LineWidth',2);
grid on;
axis([10^fmin 10^fmax -180 180]);
set(gca,'FontSize',14);
set(gca,'YTick',[-180:45:180]);
set(gca,'GridLineStyle','--');
set(gca,'Color',[1 1 1])
xlabel('Frequency (Hz)');
ylabel('Phase (deg)');


orient landscape;
% print -dpdf 'Model_SUS_resp.pdf'